metadata:
  name: gstreamer1-0-decode
  format: "Apertis Test Definition 1.0"
  image-types:
    hmi:     [ armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: automated
  priority: high
  maintainer: "Apertis Project"
  description: "Test video and audio decoders and demuxers on a list of media.
                Audio/video decoding through GStreamer is important but not
                required by any of the currently strategic functionalities."

  expected:
    - "The script will output a result for each media file it tries to decode. If it succeeds, PASSED will be displayed. If not, FAILED will be displayed."

  notes:
    - "If lava-test-shell test fails within lava job. It means e.g. a job has timed out."

install:
  git-repos:
    - url: https://gitlab.apertis.org/tests/gstreamer1.0-decode.git
      branch: 'apertis/v2022dev3'

run:
  steps:
    - "# Enter test directory:"
    - cd gstreamer1.0-decode
    - "# Run the test script"
    - common/run-test-in-systemd --timeout=900 --basename bin/gstreamer1.0-decode.sh chaiwala-test-media

parse:
  fixupdict:
    FAILED: fail
    PASSED: pass
  pattern: ^TEST (?P<test_case_id>[^:]+):\W+(?P<result>\w+)
